Subject: bug#65304: refresh can't update profanity

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 21 Aug 2023 16:37:13 -0400

Hi Jack,

Jack Hill <[email-masked]> writes:

> I'm using ./pre-inst-env guix from commit
> 19a7a824c35eae56ce56e2a460042fb7e2129234. `guix refresh -u profanity`
> doesn't seem to be able to find the new tarball for download. However,
> if I do the update by hand, `guix build` knows how to download the
> tarball. The profanity source record looks like this:
>
> """
>  (source
>      (origin
>        (method url-fetch)
>        (uri
>         (string-append
>         "https://profanity-im.github.io/tarballs/profanity-"
>                        version ".tar.gz"))
>        (sha256
>         (base32
>          "14n45zwc6fxjargqhwqan8fyb7x0ql0hmw56rbjkjfkhpba2qmks"))))
> """"
>
> Here's refresh getting confused:
>
> """
> $ ./pre-inst-env guix refresh -u profanity
>
> Starting download of /tmp/guix-file.QV904d
>>>From https:/tarballs/profanity-0.14.0.tar.gz...
> In procedure connect*: Connection refused
>
> Starting download of /tmp/guix-file.QV904d
>>>From https://web.archive.org/web/20230815000443/https:/tarballs/profanity-0.14.0.tar.gz...
> download failed "https://web.archive.org/web/20230815000443/https:/tarballs/profanity-0.14.0.tar.gz" 404 "NOT FOUND"
> Trying to use Disarchive to assemble /tmp/guix-file.QV904d...
> could not find its Disarchive specification
> failed to download "/tmp/guix-file.QV904d" from "https:/tarballs/profanity-0.14.0.tar.gz"
> guix refresh: warning: profanity: version 0.14.0 could not be downloaded and authenticated; not updating
> """

Hm, it seems it was a bug when using the
release-monitoring-url property and the code in import-html-release from
(guix gnu-maintenance.)

I've tested with my series at https://issues.guix.gnu.org/65230 and I'm
happy to report it resolves the issue:

--8<---------------cut here---------------start------------->8---
$ ./pre-inst-env guix refresh -u profanity
Starting download of /tmp/guix-file.KoCfAY
>From https://profanity-im.github.io/tarballs/profanity-0.14.0.tar.gz...
 ….14.0.tar.gz  914KiB                3.4MiB/s 00:00 ▕██████████████████▏ 100.0%
/home/maxim/src/guix/gnu/packages/messaging.scm:2132:13: profanity: updating from version 0.13.0 to version 0.14.0...
--8<---------------cut here---------------end--------------->8---

It could do with a review :-).

-- 
Thanks,
Maxim